lockdownd_activate
lockdownd_client_free
lockdownd_client_new
lockdownd_client_new_with_handshake
lockdownd_client_set_label
lockdownd_client_t
lockdownd_cu_pairing_cb_t
lockdownd_cu_pairing_cb_type_t
lockdownd_cu_pairing_create
lockdownd_cu_send_request_and_get_reply
lockdownd_data_classes_free
lockdownd_deactivate
lockdownd_enter_recovery
lockdownd_error_t
lockdownd_get_device_name
lockdownd_get_device_udid
lockdownd_get_sync_data_classes
lockdownd_get_value
lockdownd_get_value_cu
lockdownd_goodbye
lockdownd_pair
lockdownd_pair_cu
lockdownd_pair_with_options
lockdownd_query_type
lockdownd_receive
lockdownd_remove_value
lockdownd_send
lockdownd_service_descriptor_free
lockdownd_set_value
lockdownd_start_service
lockdownd_start_service_with_escrow_bag
lockdownd_start_session
lockdownd_stop_session
lockdownd_strerror
lockdownd_unpair
lockdownd_validate_pair

## lockdownd_validate_pair()

LIBIMOBILEDEVICE_API lockdownd_error_t lockdownd_validate_pair | ( | lockdownd_client_t | client,
|  | lockdownd_pair_record_t | pair_record )

Validates if the device is paired with the given HostID.

If successful the specified host will become trusted host of the device indicated by the lockdownd preference named TrustedHostAttached. Otherwise the host must be paired using lockdownd_pair() first.

Parameters

  client | The lockdown client
  pair_record | The pair record to validate pairing with. If NULL is passed, then the pair record is read from the internal pairing record management.

Returns
  LOCKDOWN_E_SUCCESS on success, LOCKDOWN_E_INVALID_ARG when client is NULL, LOCKDOWN_E_PLIST_ERROR if the pair_record certificates are wrong, LOCKDOWN_E_PAIRING_FAILED if the pairing failed, LOCKDOWN_E_PASSWORD_PROTECTED if the device is password protected, LOCKDOWN_E_INVALID_HOST_ID if the device does not know the caller's host id